/**************************************************************************
* libXicq - Originally written by tnc (xtrophy@it.dk)                     *
*'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''*
* net.h                                                                   *
* network functions                                                       *
**************************************************************************/


#ifndef _NET_H
#define _NET_H

#include <descrip.h>        /* VMS descriptor stuff */
#include <in.h>             /* internet system Constants and structures. */
#include <inet.h>           /* Network address info. */
#include <iodef.h>          /* I/O FUNCTION CODE DEFS */
#include <lib$routines.h>   /* LIB$ RTL-routine signatures. */
#include <netdb.h>          /* Network database library info. */
#include <signal.h>         /* UNIX style Signal Value Definitions */
#include <socket.h>         /* TCP/IP socket definitions. */
#include <ssdef.h>          /* SS$_<xyz> sys ser return stati <8-) */
#include <starlet.h>        /* Sys ser calls */
#include <stdio.h>          /* UNIX 'Standard I/O' Definitions   */
#include <stdlib.h>         /* General Utilities */
#include <string.h>         /* String handling function definitions */
#include <ucx$inetdef.h>    /* UCX network definitions */
#include <unixio.h>         /* Prototypes for UNIX emulation functions */
 
#include <sys/types.h>
//#include <arpa/inet.h>
//#include <netdb.h>
//#include <netinet/in.h>
//#include <sys/socket.h>
//#include <socket.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
/*#include <iostream.h>*/
#include "configl.h"
#include "structsl.h"
#include "v2_codes.h"
#include "misc.h"
#include "ui2lib.h"

int  net_init(struct USER_CONFIGURATION *user_cfg);
int  net_udpGetSocket();
int  net_udpSend(unsigned char *mesg, int length);
int  net_udpRecv(unsigned char *mesg, int length);


#endif

