/**************************************************************************
* libXicq - Originally written by tnc (xtrophy@it.dk)                     *
*'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''*
* parse.h                                                                 *
* Parse incomming packets                                                 *
**************************************************************************/


#ifndef _PARSE_H
#define _PARSE_H


#include <sys/time.h>
#include <string.h>
/*#include <iostream.h>*/
#include "configl.h"
#include "structsl.h"
#include "misc.h"
#include "ui2lib.h"
#include "contact.h"
#include "v2_codes.h"

int  parse(struct ICQ_PACKET *packet);
void parse_S_USER_ONLINE(struct ICQ_PACKET *packet);
void parse_S_USER_OFFLINE(struct ICQ_PACKET *packet);
void parse_S_STATUS_UPDATE(struct ICQ_PACKET *packet);
void parse_S_GET_MESSAGE(struct ICQ_PACKET *packet, int online);
void parse_message(struct ICQ_PACKET *packet, int online);
void parse_url(struct ICQ_PACKET *packet, int online);
void parse_added(struct ICQ_PACKET *packet, int online);
void parse_S_USER_FOUND(struct ICQ_PACKET *packet);


#endif

